return {
  { 'chrisbra/Colorizer', cmd = 'ColorToggle' },

  { 'AndrewRadev/linediff.vim', cmd = 'Linediff' },

  { 'lukas-reineke/indent-blankline.nvim', config = true, opts = {
    show_current_context = true,
    show_current_context_start = false,
  }},
  { 'echasnovski/mini.surround', version = '*', config = function() require('mini.surround').setup({}) end },
  -- { 'echasnovski/mini.indentscope', version = '*', config = function() require('mini.indentscope').setup({}) end },
  { 'echasnovski/mini.trailspace', version = '*', config = function() require('mini.trailspace').setup({}) end },

  {
    'numToStr/Comment.nvim',
    config = true,
  },

  'editorconfig/editorconfig-vim',

  {
    'vlada-dudr/vdebug',
    lazy = true,
    keys = {
      { '<F5>', desc = 'Start Vdebug' },
      { '<F10>', desc = 'Vdebug breakpoint' },
    },
  },

  { 'dyng/ctrlsf.vim', cmd = 'CtrlSF' },

  { 'andymass/vim-matchup' },

  { 'fpob/nette.vim', ft = 'nette' },
  { 'ziglang/zig.vim', ft = 'zig' },

  {
    'mfussenegger/nvim-jdtls',
    ft = 'java',
  },

  {
    'folke/trouble.nvim',
    dependencies = { 'nvim-tree/nvim-web-devicons' },
    lazy = true,
    cmd = { 'Trouble', 'TroubleToggle' },
    keys = {
      { '<Leader>tt', '<Cmd>TroubleToggle<CR>', desc = 'Trouble toggle' },
      { '<Leader>td', '<Cmd>Trouble document_diagnostics<CR>', desc = 'Trouble toggle' }
    },
    config = {
      mode = 'document_diagnostics'
    }
  },

}
